Bug 433609 - Satellite sync not working (SYNC ERROR: unhandled exception occurred)
Satellite sync not working (SYNC ERROR: unhandled exception occurred)
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Satellite Synchronization (Show other bugs)
501
All Linux
low Severity high
: ---
: ---
Assigned To: Pradeep Kilambi
Preethi Thomas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-20 05:41 EST by José Manuel Macías
Modified: 2010-12-10 18:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-30 12:19:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description José Manuel Macías 2008-02-20 05:41:50 EST
Description of problem:

RedHat Network Satellite not syncing

Version-Release number of selected component (if applicable):

5.0.1

How reproducible:

issuing a 'satellite-sync -l'

Steps to Reproduce:
1. execute 'satellite-sync -l' from command line (or with any other flags)
  
Actual results:

SYNC ERROR: unhandled exception occurred:

(Check logs/email for potentially more detail)

Expected results:

Correct sync...

Additional info:

I see these logs...

2008/02/20 10:22:47 +02:00 Commandline: ['/usr/bin/satellite-sync', '-l']
2008/02/20 10:22:47 +02:00 11538 0.0.0.0: rhnSQL/int_oracle.connect('Connecting
to database', 'rhnsat')
2008/02/20 10:22:47 +02:00 Red Hat Network Satellite - live synchronization
2008/02/20 10:22:47 +02:00    url: https://satellite.rhn.redhat.com
2008/02/20 10:22:47 +02:00    debug/output level: 1
2008/02/20 10:22:48 +02:00    db:  rhnsat/<password>@rhnsat
2008/02/20 10:22:48 +02:00 Action list/commandline toggles: ['channels',
'list-channels', 'channel-families']
2008/02/20 10:22:48 +02:00 
2008/02/20 10:22:48 +02:00 Retrieving / parsing channel-families data
2008/02/20 10:22:50 +02:00 channel-families data complete
2008/02/20 10:22:50 +02:00 
2008/02/20 10:22:50 +02:00 RHN Entitlement Certificate sync
2008/02/20 10:22:51 +02:00     - parsing for sanity
2008/02/20 10:22:51 +02:00     - syncing to local database
2008/02/20 10:23:04 +02:00     - syncing to disk
/etc/sysconfig/rhn/rhn-entitlement-cert.xml
2008/02/20 10:23:04 +02:00 RHN Entitlement Certificate sync complete
2008/02/20 10:23:04 +02:00 
2008/02/20 10:23:04 +02:00 Retrieving / parsing channel data
2008/02/20 10:24:02 +02:00    p = previously imported/synced channel
2008/02/20 10:24:02 +02:00    . = channel not yet imported/synced
2008/02/20 10:24:02 +02:00    base-channels:
2008/02/20 10:24:02 +02:00 
SYNC ERROR: unhandled exception occurred:

Exception reported from <sat.our.org>
Time: Wed Feb 20 10:24:02 2008
Exception type exceptions.AssertionError

Exception Handler Information
Traceback (most recent call last):
  File "/usr/bin/satellite-sync", line 136, in main
    return satsync.Runner().main()
  File "/usr/share/rhn/satellite_tools/satsync.py", line 199, in main
    ret = method()
  File "/usr/share/rhn/satellite_tools/satsync.py", line 272, in _step_channels
    self.syncer.process_channels()
  File "/usr/share/rhn/satellite_tools/satsync.py", line 588, in process_channels
    self._printChannelTree(doEOSYN=1)
  File "/usr/share/rhn/satellite_tools/satsync.py", line 634, in _printChannelTree
    assert channel_object is not None
AssertionError
Comment 1 José Manuel Macías 2008-02-25 02:52:47 EST
These are the installed packages:

SatConfig-dbsynch-1.3.0-2.rhel4
SatConfig-bootstrap-1.11.0-5.rhel4
rhn-java-lib-sat-5.0.1-18
rhn-satellite-schema-5.0.0-29
perl-Satcon-1.3-8
SatConfig-installer-3.24.0-4.rhel4
SatConfig-generator-2.29.5-3.rhel4
rhn-java-sat-5.0.1-18
SatConfig-bootstrap-server-1.13.0-3.rhel4
rhn-satellite-admin-5.0.0-1
SatConfig-general-1.215.38-6.rhel4
rhn-java-config-sat-5.0.1-18
rhns-satellite-tools-5.0.1-10
taskomatic-sat-5.0.1-18
rhn-satellite-config-5.0.0-5
SatConfig-spread-1.1.0-2.rhel4
SatConfig-cluster-1.54.2-3.rhel4

Comment 2 Clifford Perry 2008-04-08 11:58:22 EDT
Hi there, 
This most likely was a issue with the data being provided to the Satellite from
the RHN Hosted cache. Is this a persistant issue, or has it gone away now? 

If you are still having this issue, please open a support ticket and inform them
of this bug report. Support will then work with you in troubleshooting this
further. 

Cliff. 
Comment 3 José Manuel Macías 2008-04-08 12:12:08 EDT
Still not working, sorry:

#  /usr/local/bin/rhn_satellite_update_channels.sh 
RHN Satellite sync
..................
Synchronizing i386 chanel...
16:56:16 Red Hat Network Satellite - live synchronization
16:56:16    url: https://satellite.rhn.redhat.com
16:56:16    debug/output level: 1
16:56:18    db:  rhnsat/<password>@rhnsat
16:56:18 
16:56:18 Retrieving / parsing channel-families data
16:56:20 channel-families data complete
Pushing scout configs to all monitoring scouts
16:56:35 
16:56:35 Retrieving / parsing arches data
16:56:37 arches data complete
16:56:37 
16:56:37 Retrieving / parsing additional arches data
16:56:39 additional arches data complete
16:56:39 
16:56:39 Retrieving / parsing channel data
16:57:47    p = previously imported/synced channel
16:57:47    . = channel not yet imported/synced
16:57:47    base-channels:
+++ sending log as an email +++

SYNC ERROR: unhandled exception occurred:

(Check logs/email for potentially more detail)

{...}

Ok, I'll open the support ticket tomorrow.
Comment 4 Clifford Perry 2008-09-24 12:10:51 EDT
Hi there, 
I see no customer report associated with this bugzilla. Was this issue resolved? If not, please do contact Red Hat Support. 

Regards,
Clifford.
Comment 5 Jan Pazdziora 2010-12-10 18:06:41 EST
Likely a dupe of bug 279371.

Note You need to log in before you can comment on or make changes to this bug.